package com.fr.plugin.jee.port;

import com.fr.plugin.transform.ExecuteFunctionRecord;
import com.fr.plugin.transform.FunctionRecorder;
import com.tptj.plugin.hg.client.open.fun.APILoader;
import com.tptj.plugin.hg.client.open.impl.AbstractAPICallerProvider;


@FunctionRecorder
public class DemoCallerProvider extends AbstractAPICallerProvider {

    @ExecuteFunctionRecord
    @Override
    public APILoader[] registerCallers() {
        return new APILoader[]{
            new DemoLoader()
        };
    }



    @Override
    public String groupName() {
        return "测试";
    }

    @Override
    public String groupDescription() {
        return "这是测试";
    }
}
