package com.fr.plugin.jee.port;

import com.fr.data.impl.DBTableData;
import com.fr.data.impl.NameDatabaseConnection;
import com.fr.decision.webservice.Response;
import com.fr.general.data.DataModel;
import com.fr.json.JSONObject;
import com.tptj.plugin.hg.client.open.exception.CodeException;

import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2020-09-07
 **/
public class GetBySql extends AbstractDataApi {
    {


    }
    @Override
    public Response mixCall(HttpServletRequest req, Map<String, Object> defaultParameters, Map<String, Object> config) throws CodeException {
        String connection = (String)config.get("connection");
        String sql = (String)config.get("sql");
        sql = parseSql(req,sql);
        DataModel data = DBTableData.createCacheableDBResultSet(new NameDatabaseConnection(connection), sql, -1);
        List content = format(  data );
        return Response.ok(content);
    }

    @Override
    public Map<String, Object> getOptions(Map<String, Object> config) {
        config.remove("connection");
        config.remove("sql");
        return config;
    }




    public String APIName() {
        return "[demo]Sql数据服务-插件化";
    }

    public Map<String, Object> defaultParameters() {
        return new HashMap();
    }

    public Map<String, Object> config() {
        return new HashMap(){{
            put("connection","FRDemo");
            put("sql","SELECT * FROM `销量` where 地区 = '${地区}'");
        }};
    }

    public boolean isPublic() {
        return true;
    }

    public String RequestType() {
        return "GET";
    }

    public String Description() {
        return "通过配置SQL和数据源连接向外提供数据服务";
    }
}
